# $Revision: 1.14 $, $Date: 2002/07/08 14:49:48 $
Summary:	An X Window System utility which notifies you of new mail
Summary(cs):	Upozornn na pchod nov poty v prosted X Window System    
Summary(da):	Et systemvrktj for notificering ved ny e-post under X vinduessystemet  
Summary(de):	Ein X Window System-Dienstprogramm, das Ihnen neue Post meldet
Summary(es):	Utilidad para X Window que notifica de la llegada de correo
Summary(fr):	Utilitaire pour le systme X Window qui vous informe de l'arrive de nouveaux messages 
Summary(id):	Utility X Window System yang memberitahukan jika ada surat baru
Summary(is):	X hjlparforrit sem tilkynnir r egar nr pstur berst
Summary(it):	Utility per X Window che notifica l'arrivo di nuove mail
Summary(ja):	᡼Τ X Window System 桼ƥƥ
Summary(ko):	  ִ X  ý ƿƼ
Summary(no):	Et systemverkty for notifisering ved ny e-post under X vindusystemet
Summary(pl):	Narzdzie pod X powiadamiajce o nowej poczcie
Summary(pt):	Um utilitrio do X Window System que o notifica do 'e-mail' novo
Summary(ru):	        X Window System
Summary(sk):	Nstroj pre systm X Window, ktor vs upozoruje na nov potu
Summary(sl):	Pripomoek, ki vas v Oknih X opozori na novo poto
Summary(sv):	Ett verktyg under X11 som meddelar nr du ftt ny post
Summary(zh_CN):	һ֪ͨµʼ X ϵͳߡ
Name:		xmailbox
Version:	2.5
Release:	16
License:	MIT
Group:		Applications/Mail
Source0:	ftp://ftp.x.org/contrib/applications/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch1:		%{name}-xpm.patch
Patch2:		%{name}-glibc.patch
Patch3:		%{name}-main-returntype.patch
Patch4:		%{name}-PLD.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		/usr/X11R6/man

%description
The xmailbox program is an X Window System program which notifies you
when mail arrives. Xmailbox is similar to the xbiff program, but it
offers more features and notification options.

%description -l cs
Xmailbox je program pro X Window System, kter vs upozorn,
kdy vm pijde nov elektronick pota. Xmailbox je podobn programu
xbiff program, avak mete si vybrat z vce monost upozornn.

%description -l da
Programmet xmailbox er et X-program som meddeler dig nr der
kommer post. Xmailbox ligner programmet xbiff, men det tilbyder flere
finesser og valgmuligheder.
 
%description -l de
Das Programm xmailbox ist ein X Window System-Programm, das Sie
benachrichtigt, wenn Mails eingehen. Es hnelt dem Programm xbiff,
bietet jedoch mehr Funktionen und Benachrichtigungsoptionen.

%description -l es
El programa xmailbox es un programa para X Window que notifica de
la llegada de nuevo correo. Xmailbox es similar al programa xbiff, pero
proporciona ms funciones y opciones de notificacin.

%description -l fr
Le programme xmailbox est un programme pour le systme X Window qui vous
informe de l'arrive de nouveaux messages. Xmailbox est semblable au
programme xbiff, mais il offre plus de fonctions et d'options de
notification.
 
%description -l id
Program xmailbox adalah program X Window System yang memberitahukan anda
jika ada surat baru yang datang.  Xmailbox mirip dengan program xbiff,
tetapi memiliki kemampuan lainnya dan memiliki notification option.

%description -l is
Xmailbox forriti er X gluggakerfisforrit sem ltur ig vita egar
pstur berst.  Xmailbox svipar til forritsins xbiff, nema a bur
upp  meiri mguleika og fjlbreyttari tilkynningar.
       
%description -l it
Il programma xmailbox  un programma per X Window che segnala
le mail quando arrivano. Xmailbox simile al programma xbiff, ma offre
pi funzionalit e opzioni per la notifica."
    
%description -l ja
xmailbox ץϥ᡼忮Τ X Window System ץǤ
xmailbox ϡxbiff ץȻƤޤ¿εǽΥץ
󶡤Ƥޤ

%description -l pl
xmailbox jest programem pod X Window System powiadamiajcy o nadejciu
poczty. Jest podobny do programu xbiff, lecz oferuje wicej moliwoci
i opcji powiadomienia.

%description -l pt
O programa xmailbox  um programa do X Window System que o notifica
quando chega 'e-mail'. o xmailbox  parecido com o xbiff, mas oferece
mais capacidades e opes de notificao.

%description -l ru
 xmailbox -    X Window System,  
   . Xmailbox    xbiff,  
    .

%description -l sk
Program xmailbox pre systm X Window vs upozoruje na prchod
novej poty. Xmailbox je podobn programu xbiff, ale ponka
viac monost a volieb na upozornenie.

%description -l sv
Programmet xmailbox gr under X11 och meddelar dig nr det
kommer post.  Xmailbox liknar programmet xbiff, men det erbjuder fler
finesser och valmjligheter.

%description -l zh_CN
xmailbox һʼʱ֪ͨ X Window ϵͳ
Xmailbox  xbiff 򣬵ṩ˸Ĺ֪ܺͨѡ

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
xmkmf
%{__make} CXXDEBUGFLAGS="%{rpmcflags}" \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Network/Mail,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/{icons,sounds}

%{__make} install install.man DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/Mail/xmailbox.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install *.xpm icons/*.xpm $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
install *.au $RPM_BUILD_ROOT%{_datadir}/%{name}/sounds

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/xmailbox
%{_mandir}/man1/xmailbox.1x*
%config %{_libdir}/X11/app-defaults/XMailbox
%{_applnkdir}/Network/Mail/xmailbox.desktop
%{_datadir}/%{name}/icons/*
%{_datadir}/%{name}/sounds/*
%{_pixmapsdir}/xmailbox.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmailbox.spec,v $
Revision 1.14  2002/07/08 14:49:48  ankry
- added PLD.patch (paths, resources)
- added applnk icon
- added some sound/image resources
- release 16, STBR for test

Revision 1.13  2002/07/07 22:24:13  ankry
- merged translations from RH

Revision 1.12  2002/07/07 15:32:11  ankry
- existing patches renamed
- added -main-returntype.patch from RH
- moved desktop to source
- use new %%doc
- bump release to 15
STBR

Revision 1.11  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/24 10:58:06  qboosh
- added pl description, changed .wmconfig to .desktop

Revision 1.7  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 7)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- updated wmconfig Group line

* Wed Oct 29 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
